/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
/// <reference types="react" />
import plugin, { RouterToken, GetStaticContextToken } from './plugin';
import * as server from './server';
export * from './types';
export default plugin;
export { RouterToken, GetStaticContextToken };
export declare const Status: typeof server.Status;
export declare const NotFound: <TProps extends {
    children: import("react").ReactNode;
}>(props: TProps) => JSX.Element;
export declare const Navigate: typeof server.Navigate;
export declare const Router: import("./types").RouterType;
export declare const BrowserRouter: import("./types").TBrowserRouter;
export declare const UnstableHistoryRouter: import("./types").TUnstableHistoryRouter;
export declare const HashRouter: import("./types").THashRouter;
export declare const MemoryRouter: import("./types").TMemoryRouter;
export declare const Link: import("./types").TLink;
export declare const NavLink: import("./types").TNavLink;
export declare const Outlet: import("./types").TOutlet;
export declare const useOutletContext: import("./types").TUseOutletContext;
export declare const Routes: typeof server.Routes;
export declare const Route: import("./types").TRoute;
export declare const createRoutesFromChildren: import("./types").TCreateRoutesFromChildren;
export declare const generatePath: import("./types").TGeneratePath;
export declare const matchRoutes: import("./types").TMatchRoutes;
export declare const renderMatches: import("./types").TRenderMatches;
export declare const matchPath: import("./types").TMatchPath;
export declare const resolvePath: import("./types").TResolvePath;
export declare const useHref: import("./types").TUseHref;
export declare const useLinkClickHandler: import("./types").TUseLinkClickHandler;
export declare const useInRouterContext: import("./types").TUseInRouterContext;
export declare const useLocation: import("./types").TUseLocation;
export declare const useNavigationType: import("./types").TUseNavigationType;
export declare const useMatch: import("./types").TUseMatch;
export declare const useNavigate: import("./types").TUseNavigate;
export declare const useOutlet: import("./types").TUseOutlet;
export declare const useParams: import("./types").TUseParams;
export declare const useResolvedPath: import("./types").TUseResolvedPath;
export declare const useRoutes: import("./types").TUseRoutes;
export declare const useSearchParams: import("./types").TUseSearchParams;
export declare const createSearchParams: import("./types").TCreateSearchParams;
//# sourceMappingURL=index.d.ts.map