/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { UniversalEventsToken } from 'fusion-plugin-universal-events';
import { RouteTagsToken } from 'fusion-core';
import type { Token, Context, FusionPlugin } from 'fusion-core';
import type { TNavigator, StaticContextType } from './types';
type HistoryWrapperType = {
    from: (ctx: Context) => {
        history: TNavigator;
    };
};
export declare const GetStaticContextToken: Token<(ctx: Context) => StaticContextType>;
export declare const RouterToken: Token<HistoryWrapperType>;
type PluginDepsType = {
    getStaticContext: typeof GetStaticContextToken.optional;
    emitter: typeof UniversalEventsToken.optional;
    RouteTags: typeof RouteTagsToken;
};
declare const plugin: FusionPlugin<PluginDepsType, HistoryWrapperType>;
export default plugin;
//# sourceMappingURL=plugin.d.ts.map