/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { Router as _Router, Routes as _Routes } from 'react-router-dom';
import { Status, NotFound } from './modules/Status';
import { Navigate } from './modules/Navigate';
import { ServerRouter as Router } from './modules/ServerRouter';
import { Routes } from './modules/Routes';
import type { TRoute, TUseLocation, TCreateRoutesFromChildren, TMatchRoutes, TBrowserRouter, TUnstableHistoryRouter, THashRouter, TMemoryRouter, TLink, TNavLink, TOutlet, TUseOutletContext, TStaticRouter, TGeneratePath, TRenderMatches, TMatchPath, TResolvePath, TUseHref, TUseLinkClickHandler, TUseInRouterContext, TUseNavigationType, TUseMatch, TUseNavigate, TUseOutlet, TUseParams, TUseResolvedPath, TUseRoutes, TUseSearchParams, TCreateSearchParams } from './types';
/**
 * Cast each of these imports from react-router-dom to a copied-version of their
 * types. This is necessary as the libdef defined types will not be accessible to
 * consumers of this package.
 */
declare const BrowserRouter: TBrowserRouter;
declare const UnstableHistoryRouter: TUnstableHistoryRouter;
declare const HashRouter: THashRouter;
declare const MemoryRouter: TMemoryRouter;
declare const Link: TLink;
declare const NavLink: TNavLink;
declare const Outlet: TOutlet;
declare const useOutletContext: TUseOutletContext;
declare const Route: TRoute;
declare const StaticRouter: TStaticRouter;
declare const createRoutesFromChildren: TCreateRoutesFromChildren;
declare const generatePath: TGeneratePath;
declare const matchRoutes: TMatchRoutes;
declare const renderMatches: TRenderMatches;
declare const matchPath: TMatchPath;
declare const resolvePath: TResolvePath;
declare const useHref: TUseHref;
declare const useLinkClickHandler: TUseLinkClickHandler;
declare const useInRouterContext: TUseInRouterContext;
declare const useLocation: TUseLocation;
declare const useNavigationType: TUseNavigationType;
declare const useMatch: TUseMatch;
declare const useNavigate: TUseNavigate;
declare const useOutlet: TUseOutlet;
declare const useParams: TUseParams;
declare const useResolvedPath: TUseResolvedPath;
declare const useRoutes: TUseRoutes;
declare const useSearchParams: TUseSearchParams;
declare const createSearchParams: TCreateSearchParams;
export { Status, NotFound, Navigate, Router, Routes, BrowserRouter, UnstableHistoryRouter, HashRouter, MemoryRouter, Link, NavLink, _Router, Outlet, useOutletContext, _Routes, Route, StaticRouter, createRoutesFromChildren, generatePath, matchRoutes, renderMatches, matchPath, resolvePath, useHref, useLinkClickHandler, useInRouterContext, useLocation, useNavigationType, useMatch, useNavigate, useOutlet, useParams, useResolvedPath, useRoutes, useSearchParams, createSearchParams, };
//# sourceMappingURL=server.d.ts.map